/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.fn;

/**
 * 固定値を返す{@link Fn}です。
 * @author nakamura
 *
 * @param <C>
 * @param <R>
 */
public class FixFn<C, R> implements Fn<C, R> {
	private R value;
	
	public FixFn(final R value) {
		this.value = value;
	}

	public R exec(final C c) {
		return value;
	}

	public R getValue() {
		return value;
	}
	public void setValue(final R value) {
		this.value = value;
	}
}
